import { Connection } from "mariadb";
type Param = {
    /**
     * Read Only?
     */
    ro?: boolean;
    /**
     * Full Access?
     */
    fa?: boolean;
    /**
     * No Database Connection
     */
    noDb?: boolean;
    /**
     * Is this a local connection?
     */
    local?: boolean;
};
/**
 * # Grab General CONNECTION for DSQL
 */
export default function grabDSQLConnection(param?: Param): Promise<Connection>;
export {};
